--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Accuracy of this information
  name: accuracy
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Product name, like &quot;Linux&quot; or &quot;Windows&quot;
  name: osfamily
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: A more precise description, like &quot;2.6.X&quot; for Linux
  name: osgen
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Device type, like &quot;router&quot; or &quot;general purpose&quot;
  name: ostype
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Company that makes the OS, like &quot;Apple&quot; or &quot;Microsoft&quot;
  name: osvendor
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Holds information for an individual OS class record
constants: []

full_name: Nmap::Parser::Host::OS::OSClass
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: <=>
name: OSClass
superclass: Object
